Search Groups
Search for a group.
Use this API instead:
- /scim/v2/Groups
In this case the PagedResponse.results field will contain Group object. See the Group model for reference.
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ✔️ |
| Organization Member | ✔️ |
| Service Account (Whitelisted Client) | ✔️ |
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/groups/search
COPY
Query Parameters
string
searchTerm
Required
The search term, uses 'contains' filter on the group displayName attribute.
string
idpId
Optional
This parameter is included for CSP compatibility and its value is ignored.
integer
pageStart
Optional
Constraints:
minimum: 1
default: 1
The index of the first element of the page. One based.
integer
pageLimit
Optional
Constraints:
minimum: 1
maximum: 128
default: 128
Specifies the maximum results per page for every call.
Responses
200
OK
Returns
PagedResponseGroup
of type(s)
*/*
{
"results": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string"
}
],
"nextLink": "string",
"prevLink": "string",
"totalResults": 0
}
401
The user is not authorized to use the API.
Returns
PagedResponseGroup
of type(s)
*/*
{
"results": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string"
}
],
"nextLink": "string",
"prevLink": "string",
"totalResults": 0
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/groups/search?searchTerm=v